summaryrefslogtreecommitdiff
path: root/source3/script/updatesmbpasswd.sh
diff options
context:
space:
mode:
authorSamba Release Account <samba-bugs@samba.org>1996-05-04 07:50:46 +0000
committerSamba Release Account <samba-bugs@samba.org>1996-05-04 07:50:46 +0000
commit0e8fd3398771da2f016d72830179507f3edda51b (patch)
treeb5d07075a85050832720033f7b26c37a301ede72 /source3/script/updatesmbpasswd.sh
downloadsamba-0e8fd3398771da2f016d72830179507f3edda51b.tar.gz
samba-0e8fd3398771da2f016d72830179507f3edda51b.tar.bz2
samba-0e8fd3398771da2f016d72830179507f3edda51b.zip
Initial version imported to CVS
(This used to be commit 291551d80711daab7b7581720bcd9a08d6096517)
Diffstat (limited to 'source3/script/updatesmbpasswd.sh')
-rwxr-xr-xsource3/script/updatesmbpasswd.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/source3/script/updatesmbpasswd.sh b/source3/script/updatesmbpasswd.sh
new file mode 100755
index 0000000000..1d7e0d7332
--- /dev/null
+++ b/source3/script/updatesmbpasswd.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+nawk 'BEGIN {FS=":"}
+{
+ if( $0 ~ "^#" ) {
+ print $0
+ } else if( (length($4) == 32) && (($4 ~ "^[0-9A-F]*$") || ($4 ~ "^[X]*$") || ( $4 ~ "^[*]*$"))) {
+ print $0
+ } else {
+ printf( "%s:%s:%s:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX:", $1, $2, $3);
+ for(i = 4; i <= NF; i++)
+ printf("%s:", $i)
+ printf("\n")
+ }
+}'